Bug 1321173 - no haredened build
Summary: no haredened build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-24 20:35 UTC by Harald Reindl
Modified: 2016-04-07 15:48 UTC (History)
6 users (show)

Fixed In Version: clamav-0.99.1-1.fc23 clamav-0.99.1-1.fc24 clamav-0.99.1-1.el7 clamav-0.99.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-01 00:26:19 UTC


Attachments (Terms of Use)

Description Harald Reindl 2016-03-24 20:35:54 UTC
that was a violation of the apckage guidelines even before F23 since

* it's a long running process
* it deals with untrusted input
* frankly it deals with possible malware by definition

https://fedoraproject.org/wiki/Changes/Harden_All_Packages#Harden_All_Packages

checksec --proc-all

clamd   1447 Partial RELRO     Canary found           NX enabled    No PIE
clamav-milter   1449 Partial RELRO     Canary found           NX enabled    No PIE

Comment 1 Robert Scheck 2016-03-29 21:07:57 UTC
Should be fixed for future builds now: http://pkgs.fedoraproject.org/cgit/rpms/clamav.git/commit/?id=99a8f2628716349156074f9684024187c4414694

Comment 2 Fedora Update System 2016-03-29 22:26:26 UTC
clamav-0.99.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b77d212c1

Comment 3 Fedora Update System 2016-03-29 22:28:35 UTC
clamav-0.99.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01cbca7bf8

Comment 4 Fedora Update System 2016-03-29 22:29:49 UTC
clamav-0.99.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-897e2e3fd1

Comment 5 Fedora Update System 2016-03-29 22:32:15 UTC
clamav-0.99.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3a49528764

Comment 6 Fedora Update System 2016-03-30 22:22:18 UTC
clamav-0.99.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-897e2e3fd1

Comment 7 Fedora Update System 2016-03-30 22:26:37 UTC
clamav-0.99.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b77d212c1

Comment 8 Fedora Update System 2016-03-30 22:55:21 UTC
clamav-0.99.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01cbca7bf8

Comment 9 Fedora Update System 2016-03-31 02:20:41 UTC
clamav-0.99.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3a49528764

Comment 10 Fedora Update System 2016-04-01 00:26:02 UTC
clamav-0.99.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-02 16:42:20 UTC
clamav-0.99.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-02 19:24:55 UTC
clamav-0.99.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-07 15:48:31 UTC
clamav-0.99.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.